<?php
/**
 * 金戈企业建站系统：企业荣誉管理页面
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  rootry.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */
session_start();
require('../config.php');
require('rootfun/roothtml.php');
require('rootfun/rootfun.php');
//判断是否是管理员，该函数在myfun.php 中定义
if(!check_root())
	{
		echo '<meta http-equiv="Refresh" content="0; url=../error.php?error=nono" >';
		exit;
	}

//插入页头
rootheader();
?>
<div id="rootmain">
<?php
$action = $_GET['action'];

//取回所有企业荣誉
if ($action == 'qyry') 
{
	seqyry();
}

//删除选择的企业荣誉
if ($action == 'delry') 
{
     $del = $_POST['del_me'];
     $img = $_POST['img'];
     if (count($del) > 0) 
     {
          foreach ($del as $ryid)
          {
          	if (delqyry($ryid)) 
          	{
          		foreach ($img as $ryimg)
          		{
          			$ryimg = '../'.$ryimg;
          			if (file_exists($ryimg)) 
          			{
          			     if (unlink($ryimg)) 
          			     {
          			          echo '删除成功...<br />';
          			     }
          			     else 
          			     {
          			     	echo '该条企业荣誉删除成功.图片删除失败，请检查文件夹权限<br />';
          			     }
          			}
          			else 
          			{
          				echo '数据库内容删除成功.该荣誉没有图片或路径错误!';
          			}
          		}
          	}
          	else 
          	{
          		echo '删除失败...';
          	}
          }
     }
     else 
     {
     	echo '您还没有选择需要删除的企业荣誉';
     }
}

//编辑企业荣誉
if ($action == 'endry') 
{
     $ryid = trim($_GET['ryid']);
     $upqyry = root_alli(qyry,ry_id,$ryid);
     $upqyry = setassoc($upqyry);
     display_qyry_form($upqyry);
}

//更新企业荣誉
if ($action == 'upqyry') 
{
     $ryid = trim($_POST['ryid']);
     $title = my_yz($_POST['title']);
     $js = my_yz($_POST['js']);
     if (!filled_out($_POST)) 
     {
          echo '完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     if (strlen($title) > 255 && strlen($js) > 255) 
     {
          echo '字数太多。请保持在100字以内--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     if (isset($_FILES['userfile']['name'])&&is_uploaded_file($_FILES['userfile']['tmp_name'])) 
     {
		//严整上传内容是否有错误
     	if ($_FILES['userfile']['error'] > 0)
  		{
    		echo '警告: ';
    		switch ($_FILES['userfile']['error'])
    		{
      			case 1:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 2:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 3:  echo '上传文件残缺--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 4:  echo '您还没有选择任何需要上传的文件--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
    		}
		}
		//严整上传文件格式是否正确
		if ($_FILES['userfile']['type'] != 'image/jpeg' && $_FILES['userfile']['type'] != 'image/pjpeg')
  		{
    		echo '警告: 不符合系统要求的文件格式,请使用JPEG格式的图片--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		//对上传文件的安全验证等
  		$upfile = '../up/ryimg/'.$_FILES['userfile']['name'];
  		if (is_uploaded_file($_FILES['userfile']['tmp_name'])) 
  		{
     		if (!move_uploaded_file($_FILES['userfile']['tmp_name'], $upfile))
     		{
        		echo '警告: 无up/ryimg文件夹或对该文件夹无写入权限！<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
        		exit;
     		}
  		} 
  		else 
  		{
    		echo '警告: 文件名内包含敏感字符，请修改文件名: ';
    		echo $_FILES['userfile']['name'].'<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		
  		$upfile = 'up/ryimg/'.$_FILES['userfile']['name'];
  		if (upqyry($upfile,$js,$title,$ryid)) 
  		{
  	     	echo '更新成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
  		else 
  		{
  			echo '更新失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
     }
     else 
     {
     	if (upqyry_nr($js,$title,$ryid)) 
     	{
     	     echo '更新成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     	}
     	else 
     	{
     		echo '更新失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     	}
     }
}

//填写企业荣誉
if ($action == 'inry') 
{
     display_qyry_form();
}

//添加企业荣誉
if ($action == 'inqyry') 
{
     $title = $_POST['title'];
     $js = $_POST['js'];
     
     if (!filled_out($_POST)) 
     {
          echo '完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     if (strlen($title) > 255 && strlen($js) > 255) 
     {
          echo '字数太多。请保持在100字以内--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     if ($_FILES['userfile']['error'] > 0)
  		{
    		echo '警告: ';
    		switch ($_FILES['userfile']['error'])
    		{
      			case 1:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 2:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 3:  echo '上传文件残缺--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 4:  echo '您还没有选择任何需要上传的文件--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
    		}
		}
		//严整上传文件格式是否正确
		if ($_FILES['userfile']['type'] != 'image/jpeg' && $_FILES['userfile']['type'] != 'image/pjpeg')
  		{
    		echo '警告: 不符合系统要求的文件格式,请使用JPEG格式的图片--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		//对上传文件的安全验证等
  		$upfile = '../up/ryimg/'.$_FILES['userfile']['name'];
  		if (is_uploaded_file($_FILES['userfile']['tmp_name'])) 
  		{
     		if (!move_uploaded_file($_FILES['userfile']['tmp_name'], $upfile))
     		{
        		echo '警告: 无up/ryimg文件夹或对该文件夹无写入权限！<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
        		exit;
     		}
  		} 
  		else 
  		{
    		echo '警告: 文件名内包含敏感字符，请修改文件名: ';
    		echo $_FILES['userfile']['name'].'<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		
  		$upfile = 'up/ryimg/'.$_FILES['userfile']['name'];
  		if (inqyry($upfile,$title,$js)) 
  		{
  	     	echo '添加成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
  		else 
  		{
  			echo '添加失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
}
?>
</div>
<?php
//插入页脚
rootfooter();
?>